﻿// cc-by 3.0 Austria, (c) 2011 Markus Loeberbauer
// http://ssw.jku.at/Teaching/Lectures/SpezialLVA/JavaFX/
package at.ssw.jku.view;

import javafx.beans.binding.DoubleBinding;
import javafx.beans.binding.IntegerExpression;

public interface CoordinateConverter {
  double modelToScreenX(int modelX);
  double modelToScreenY(int modelY);
  double modelToScreenWidth(int width);
  double modelToScreenHeight(int height);
  
  DoubleBinding modelToScreenXBinding(IntegerExpression modelX);
  DoubleBinding modelToScreenYBinding(IntegerExpression modelY);
  DoubleBinding modelToScreenWidthBinding(IntegerExpression modelWidth);
  DoubleBinding modelToScreenHeightBinding(IntegerExpression modelHeight);
}
